
{******************************************}
{                                          }
{             FastReport v3.0              }
{             Hi-color buttons             }
{                                          }
{            Copyright (c) 2004            }
{          by Alexander Fediachov,         }
{             Fast Reports, Inc.           }
{                                          }
{******************************************}

unit frxHiButtons;

interface

{$I frx.inc}

implementation

uses Windows, Classes, SysUtils, Graphics, frxGZip, frxClass, frxRes;

{$R frxHiButtons.res}

var
  bmp: TBitmap;
  stm: TMemoryStream;
  res: TResourceStream;

initialization
  stm := TMemoryStream.Create;
  try
    bmp := TBitmap.Create;
    res := TResourceStream.Create(hInstance, 'HiDesgnButtons', RT_RCDATA);
    try
      stm.Clear;
      frxDecompressStream(res, stm);
      stm.Position := 0;
      bmp.LoadFromStream(stm);
      frxResources.SetButtonImages(bmp, True);
    finally
      bmp.Free;
      res.Free;
    end;

    bmp := TBitmap.Create;
    res := TResourceStream.Create(hInstance, 'HiObjectButtons', RT_RCDATA);
    try
      stm.Clear;
      frxDecompressStream(res, stm);
      stm.Position := 0;
      bmp.LoadFromStream(stm);
      frxResources.SetObjectImages(bmp, True);
    finally
      bmp.Free;
      res.Free;
    end;

    bmp := TBitmap.Create;
    res := TResourceStream.Create(hInstance, 'HiPreviewButtons', RT_RCDATA);
    try
      stm.Clear;
      frxDecompressStream(res, stm);
      stm.Position := 0;
      bmp.LoadFromStream(stm);
      frxResources.SetPreviewButtonImages(bmp, True);
    finally
      bmp.Free;
      res.Free;
    end;

  finally
    stm.Free;
  end

end.


//<censored>